diff mbox

[pm-qa,3/5] test_02 : check topology is enabled

Message ID 1312549384-26580-3-git-send-email-daniel.lezcano@linaro.org
State Accepted
Headers show

Commit Message

Daniel Lezcano Aug. 5, 2011, 1:03 p.m. UTC
Signed-off-by: Daniel Lezcano <daniel.lezcano@linaro.org>
---
 include/functions.sh |   12 ++++++++++++
 sched_mc/test_02.sh  |   38 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+), 0 deletions(-)
 create mode 100644 sched_mc/test_02.sh
diff mbox

Patch

diff --git a/include/functions.sh b/include/functions.sh
index e01d0dc..094d877 100644
--- a/include/functions.sh
+++ b/include/functions.sh
@@ -208,6 +208,18 @@  check_sched_mc_files() {
     return 0
 }
 
+check_topology_files() {
+
+    local dirpath=$CPU_PATH/$1/topology
+    shift 1
+
+    for i in $@; do
+	check "$i exists" "test -f" $dirpath/$i  || return 1
+    done
+
+    return 0
+}
+
 save_governors() {
 
     governors_backup=
diff --git a/sched_mc/test_02.sh b/sched_mc/test_02.sh
new file mode 100644
index 0000000..36730a4
--- /dev/null
+++ b/sched_mc/test_02.sh
@@ -0,0 +1,38 @@ 
+#!/bin/bash
+#
+# PM-QA validation test suite for the power management on ARM
+#
+# Copyright (C) 2011, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+#
+# Contributors:
+#     Daniel Lezcano <daniel.lezcano@linaro.org> (IBM Corporation)
+#       - initial API and implementation
+#
+
+# URL : https://wiki.linaro.org/WorkingGroups/PowerManagement/Doc/QA/Scripts#sched_mc_02
+
+source ../include/functions.sh
+
+check_physical_package_id() {
+
+    local package_id=$CPU_PATH/$1/topology/physical_package_id
+    local val=$(cat $package_id)
+
+    check "topology is enabled" "test \"$val\" != \"-1\""
+}
+
+for_each_cpu check_physical_package_id || exit 1